# fixer-rate
> A foreign exchange rates and currency conversion API.

[![Codeship Status for bukinoshita/fixer-rate](https://app.codeship.com/projects/b0f3cdd0-9f0a-0134-f7d3-666295f6c944/status?branch=master)](https://app.codeship.com/projects/189191)
[![GitHub release](https://img.shields.io/github/release/bukinoshita/fixer-rate.svg)](https://www.npmjs.com/package/fixer-rate)
[![GitHub license](https://img.shields.io/badge/license-MIT-blue.svg)](https://raw.githubusercontent.com/BuKinoshita/fixer-rate/master/LICENSE)

The rates are updated daily around 4PM CET.

## Install

```bash
$ npm install --save fixer-rate
```

## Usage

```js
import {getRates, convert} from 'fixer-rate'

getRates().then(rates => {
  console.log(rates)
})

convert(1000, {from: 'USD', to: 'BRL'}).then(res => {
  console.log(res)
})
```

## API

### .getRates(base)

#### base

Type: `string`<br>
Default: `USD`<br>
Options: [options](https://github.com/bukinoshita/fixer-rate/blob/development/options.json)<br>

get the latest rates

### .convert(value, currencies)

#### value

Type: `number`<br>
Default: `1`<br>
Required

#### currencies

Type: `object`<br>
`{from: CURRENCY_1, to: CURRENCY_2}`<br>
Required

convert from a currency to another.

## License

[MIT](https://raw.githubusercontent.com/bukinoshita/fixer-rate/master/LICENSE) &copy; Bu Kinoshita
