'use strict'

import test from 'ava'
import {convert} from './../'

test('convert', t => {
  convert(1000, {from: 'BRL', to: 'USD'}).then(conversion => {
    t.is(typeof conversion, 'number')
  })
})

test('options from is required', t => {
  convert(100).catch(err => {
    t.is(err, 'Options from is required')
  })
})

test('options to is required', t => {
  convert(100, {from: 'USD'}).catch(err => {
    t.is(err, 'Options to is required')
  })
})

test('currency not found', t => {
  convert(100, {from: 'USD', to: 'BARL'}).catch(err => {
    t.is(err, 'Currency not found')
  })
})
