'use strict'

import test from 'ava'
import {getRates} from './../'

test('get rate', async t => {
  const getRate = getRates().then(res => res.data)
  const base = getRate.then(res => res.base)

  t.is(await typeof getRate, 'object')
  t.is(await base, 'USD')
})

test('brl base', async t => {
  const getRate = getRates('BRL').then(res => res.data)
  const base = getRate.then(res => res.base)

  t.is(await base, 'BRL')
})

test('invalid base', async t => {
  getRates('UAA').catch(err => {
    t.is(err, 'Currency not found')
  })
})
