'use strict'

const getRates = require('./get-rates')
const verify = require('./../helpers/verify-currency')

const convert = (val = 1, opts = {}) => {
  return new Promise((resolve, reject) => {
    if (typeof val !== 'number') {
      reject('Val is required')
    }

    if (!opts.from) {
      reject('Options from is required')
    }

    if (!opts.to) {
      reject('Options to is required')
    }

    if (verify(opts.from) && verify(opts.to)) {
      getRates(opts.from).then(rates => {
        for (let rate in rates.data.rates) {
          if (rate === opts.to) {
            resolve(rates.data.rates[rate] * val)
          }
        }
      })
    } else {
      reject('Currency not found')
    }
  })
}

module.exports = convert
