'use strict'

const axios = require('axios')
const verify = require('./../helpers/verify-currency')

const api = 'https://api.fixer.io/latest'

const getRates = (base = 'USD') => {
  return new Promise((resolve, reject) => {
    if (verify(base)) {
      return axios.get(`${api}?base=${base}`).then(rates => {
        resolve(rates)
      })
    }

    reject('Currency not found')
  })
}

module.exports = getRates
